# 任务

## minio 的事件的监听

### 初始化

删除所有的 db 的数据，列出 minio 的所有文件，同步内容到 db 数据库

### 监听任务

minio 的事件，更新，删除，修改文件，触发同步事件。

## 关于实现 client 服务

gitea 的 token，实时获取 我的 可共享的内容。

`https://kevisual.xiongxiao.me/root/me/`

## 关于 assistant 的 storage 的模块的数据的存储

```sh
npm i @kevisual/storage
```
1. 类名为 AssistantStorage

2. opts 对象类型 可选configPath 为字符串
可选 app 为字符串

3. 结构体 定义configPath，如果不存在，则为process.cwd(); app不存在为 名称 app
dir为 path.join(configPath, app);

4. getData(name='data.json'), 先检测 dir,不存在则创建。

然后获取data.json的内容，如果不存在，则创建文件， 切返回{}

5. setData(name='data.json', data， opts) , 获取 getData，并merge数据，opts有参数 overwrite，的时候不merge，直接覆盖。


configPath 默认为 `path.join(process.cwd(), 'storage', '__user_app__')`


